﻿using System.ComponentModel;
using System.Collections.ObjectModel;
using System.Data;
using System.Linq;

namespace WpfApp1
{
    public class ArtikelListeViewModel : ViewModelBase
    {

        private ObservableCollection<ArtikelViewModel> _artikelListe;

        public ObservableCollection<ArtikelViewModel> ArtikelListe
        {
            get { return _artikelListe; }
            set {
                    _artikelListe = value;
                    RaisePropertyChanged();
                }
        }

        private ArtikelViewModel _selectedArtikel;

        public ArtikelViewModel SelectedArtikel
        {
            get { return _selectedArtikel; }
            set
            {
                _selectedArtikel = value;
                RaisePropertyChanged();
            }
        }

        public ArtikelListeViewModel(DataTable dataTable)
        {
            ArtikelListe = Helpers.DataTableToList<ArtikelViewModel>(dataTable);
            SelectedArtikel = ArtikelListe.First();       
        }

              
    }
}
